For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • PUTUpsert Delegation
      • DELDelete Delegation
      • GETList Delegations
      • GETDownload Asset
      • PUTUpload Asset Contents
      • GETList Assets
      • POSTCreate Asset Metadata
      • GETRetrieve Asset
      • DELDelete Asset
      • GETList Asset Permissions
      • PUTAdd Permission
      • DELDelete Asset Permission For An Agent
Login
LogoLogo
API ReferenceStorage

Upload Asset Contents

PUT
https://agentverse.ai/v1/storage/assets/:asset_id/contents/
PUT
/v1/storage/assets/:asset_id/contents/
$curl -X PUT https://agentverse.ai/v1/storage/assets/asset_id/contents/ \
> -H "Content-Type: application/json" \
> -d '{
> "mime_type": "foo",
> "contents": "foo"
>}'
1{
2 "asset_id": "foo",
3 "reference": "foo"
4}
Upload the asset contents.
Was this page helpful?
Previous

List Assets

Next
Built with

Path parameters

asset_idstringRequiredformat: "uuid4"

Request

This endpoint expects an object.
mime_typestringRequired

MIME type of the asset content (e.g., ‘image/png’).

contentsstringRequired

Base64-encoded string representing the asset contents.

Response

Successful Response
asset_idstringformat: "uuid4"
Unique identifier of the uploaded asset.
referencestring
Internal reference string pointing to the stored asset.

Errors

422
Unprocessable Entity Error